/* gtkcellrendererbookmark.h
 * Based on code from the GTK+ project, originally licensed under
 * GNU GPL version 2:
 * Copyright (C) 2000  Red Hat, Inc.,  Jonathan Blandford <jrb@redhat.com>
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef CELL_RENDERER_BOOKMARK_H
#define CELL_RENDERER_BOOKMARK_H

#include <gtk/gtkcellrenderer.h>


G_BEGIN_DECLS


#define G_TYPE_CELL_RENDERER_BOOKMARK			(cell_renderer_bookmark_get_type ())
#define CELL_RENDERER_BOOKMARK(obj)			(G_TYPE_CHECK_INSTANCE_CAST ((obj), G_TYPE_CELL_RENDERER_BOOKMARK, CellRendererBookmark))
#define CELL_RENDERER_BOOKMARK_CLASS(klass)		(G_TYPE_CHECK_CLASS_CAST ((klass), G_TYPE_CELL_RENDERER_BOOKMARK, CellRendererBookmarkClass))
#define GTK_IS_CELL_RENDERER_BOOKMARK(obj)		(G_TYPE_CHECK_INSTANCE_G_TYPE ((obj), G_TYPE_CELL_RENDERER_BOOKMARK))
#define GTK_IS_CELL_RENDERER_BOOKMARK_CLASS(klass)	(G_TYPE_CHECK_CLASS_G_TYPE ((klass), G_TYPE_CELL_RENDERER_BOOKMARK))
#define CELL_RENDERER_BOOKMARK_GET_CLASS(obj)         (G_TYPE_INSTANCE_GET_CLASS ((obj), G_TYPE_CELL_RENDERER_BOOKMARK, CellRendererBookmarkClass))

typedef struct _CellRendererBookmark CellRendererBookmark;
typedef struct _CellRendererBookmarkClass CellRendererBookmarkClass;

struct _CellRendererBookmark
{
  GtkCellRenderer parent;
};

struct _CellRendererBookmarkClass
{
  GtkCellRendererClass parent_class;

  /* Shared by all instances */
  GdkPixbuf *star_colored;
  GdkPixbuf *star_greyed;

  void (* toggled) (CellRendererBookmark *cell_renderer_bookmark,
		      const gchar                 *path);
};

GType            cell_renderer_bookmark_get_type  (void) G_GNUC_CONST;
GtkCellRenderer *cell_renderer_bookmark_new       (void);

gboolean        cell_renderer_bookmark_get_active (CellRendererBookmark *bookmark);
void            cell_renderer_bookmark_set_active (CellRendererBookmark *bookmark,
                                                       gboolean               setting);


G_END_DECLS

#endif /* CELL_RENDERER_BOOKMARK_H */
